/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "DENM-PDU-Descriptions"
 * 	found in "DENM.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#include "RoadWorksContainerExtended.h"

static asn_TYPE_member_t asn_MBR_RoadWorksContainerExtended_1[] = {
	{ ATF_POINTER, 9, offsetof(struct RoadWorksContainerExtended, lightBarSirenInUse),
		(ASN_TAG_CLASS_CONTEXT | (0 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_LightBarSirenInUse,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"lightBarSirenInUse"
		},
	{ ATF_POINTER, 8, offsetof(struct RoadWorksContainerExtended, closedLanes),
		(ASN_TAG_CLASS_CONTEXT | (1 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_ClosedLanes,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"closedLanes"
		},
	{ ATF_POINTER, 7, offsetof(struct RoadWorksContainerExtended, restriction),
		(ASN_TAG_CLASS_CONTEXT | (2 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_RestrictedTypes,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"restriction"
		},
	{ ATF_POINTER, 6, offsetof(struct RoadWorksContainerExtended, speedLimit),
		(ASN_TAG_CLASS_CONTEXT | (3 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_SpeedLimit,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"speedLimit"
		},
	{ ATF_POINTER, 5, offsetof(struct RoadWorksContainerExtended, incidentIndication),
		(ASN_TAG_CLASS_CONTEXT | (4 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_CauseCode,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"incidentIndication"
		},
	{ ATF_POINTER, 4, offsetof(struct RoadWorksContainerExtended, recommendedPath),
		(ASN_TAG_CLASS_CONTEXT | (5 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_ItineraryPath,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"recommendedPath"
		},
	{ ATF_POINTER, 3, offsetof(struct RoadWorksContainerExtended, startingPointSpeedLimit),
		(ASN_TAG_CLASS_CONTEXT | (6 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_DeltaReferencePosition,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"startingPointSpeedLimit"
		},
	{ ATF_POINTER, 2, offsetof(struct RoadWorksContainerExtended, trafficFlowRule),
		(ASN_TAG_CLASS_CONTEXT | (7 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_TrafficRule,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"trafficFlowRule"
		},
	{ ATF_POINTER, 1, offsetof(struct RoadWorksContainerExtended, referenceDenms),
		(ASN_TAG_CLASS_CONTEXT | (8 << 2)),
		-1,	/* IMPLICIT tag at current level */
		&asn_DEF_ReferenceDenms,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		"referenceDenms"
		},
};
static const int asn_MAP_RoadWorksContainerExtended_oms_1[] = { 0, 1, 2, 3, 4, 5, 6, 7, 8 };
static const ber_tlv_tag_t asn_DEF_RoadWorksContainerExtended_tags_1[] = {
	(ASN_TAG_CLASS_UNIVERSAL | (16 << 2))
};
static const asn_TYPE_tag2member_t asn_MAP_RoadWorksContainerExtended_tag2el_1[] = {
    { (ASN_TAG_CLASS_CONTEXT | (0 << 2)), 0, 0, 0 }, /* lightBarSirenInUse */
    { (ASN_TAG_CLASS_CONTEXT | (1 << 2)), 1, 0, 0 }, /* closedLanes */
    { (ASN_TAG_CLASS_CONTEXT | (2 << 2)), 2, 0, 0 }, /* restriction */
    { (ASN_TAG_CLASS_CONTEXT | (3 << 2)), 3, 0, 0 }, /* speedLimit */
    { (ASN_TAG_CLASS_CONTEXT | (4 << 2)), 4, 0, 0 }, /* incidentIndication */
    { (ASN_TAG_CLASS_CONTEXT | (5 << 2)), 5, 0, 0 }, /* recommendedPath */
    { (ASN_TAG_CLASS_CONTEXT | (6 << 2)), 6, 0, 0 }, /* startingPointSpeedLimit */
    { (ASN_TAG_CLASS_CONTEXT | (7 << 2)), 7, 0, 0 }, /* trafficFlowRule */
    { (ASN_TAG_CLASS_CONTEXT | (8 << 2)), 8, 0, 0 } /* referenceDenms */
};
static asn_SEQUENCE_specifics_t asn_SPC_RoadWorksContainerExtended_specs_1 = {
	sizeof(struct RoadWorksContainerExtended),
	offsetof(struct RoadWorksContainerExtended, _asn_ctx),
	asn_MAP_RoadWorksContainerExtended_tag2el_1,
	9,	/* Count of tags in the map */
	asn_MAP_RoadWorksContainerExtended_oms_1,	/* Optional members */
	9, 0,	/* Root/Additions */
	-1,	/* Start extensions */
	-1	/* Stop extensions */
};
asn_TYPE_descriptor_t asn_DEF_RoadWorksContainerExtended = {
	"RoadWorksContainerExtended",
	"RoadWorksContainerExtended",
	SEQUENCE_free,
	SEQUENCE_print,
	SEQUENCE_constraint,
	SEQUENCE_decode_ber,
	SEQUENCE_encode_der,
	SEQUENCE_decode_xer,
	SEQUENCE_encode_xer,
	SEQUENCE_decode_uper,
	SEQUENCE_encode_uper,
	0,	/* Use generic outmost tag fetcher */
	asn_DEF_RoadWorksContainerExtended_tags_1,
	sizeof(asn_DEF_RoadWorksContainerExtended_tags_1)
		/sizeof(asn_DEF_RoadWorksContainerExtended_tags_1[0]), /* 1 */
	asn_DEF_RoadWorksContainerExtended_tags_1,	/* Same as above */
	sizeof(asn_DEF_RoadWorksContainerExtended_tags_1)
		/sizeof(asn_DEF_RoadWorksContainerExtended_tags_1[0]), /* 1 */
	0,	/* No PER visible constraints */
	asn_MBR_RoadWorksContainerExtended_1,
	9,	/* Elements count */
	&asn_SPC_RoadWorksContainerExtended_specs_1	/* Additional specs */
};

